Newcertbro for Linux

Open-source CLI for TLS automation, DNS DCV, and unattended renewals.

Explore certbro
regfish
DNS automation
v1.6.2
Download OpenAPI
Update DNS record
Update a DNS record and automatically detect the record based on the name and type specified in the parameters. If you want to update the name or type attribute, please refer to the PATCH /dns/rr/{rrid} endpoint.
PATCH
/dns/rr
ResourceRecords

Authentication

x-api-keyapplication/json

Request body

application/jsonRequired
Data object for the record
recordRequestFQDN
recordRequestFQDN
{
  "type": "A",
  "name": "www.example.com.",
  "data": "12.12.12.12"
}

Fields

Name
Type
Format
Required
Description
type
A
string
Required
name
string
Required
Fully Qualified Domain Name (FQDN, ending with a period).
ttl
integer
Optional
Time To Live (60-604800)
annotation
string
Optional
A custom note for this particular record.
data
string
Required

Request example

PATCH
curl --request PATCH \
  --url 'https://api.regfish.com/dns/rr' \
  --header 'x-api-key: YOUR_API_KEY' \
  --header 'content-type: application/json' \
  --data '{
  "type": "A",
  "name": "www.example.com.",
  "data": "12.12.12.12"
}'

Responses

200
The record corresponding to the provided `name`/`type` combination
application/jsonrecordResponse
Response example 200
{
  "success": true,
  "code": 0,
  "response": {
    "type": "A",
    "name": "www.example.com.",
    "data": "12.12.12.12",
    "id": 1,
    "auto": true,
    "active": true,
    "ts_created": 1,
    "ts_updated": 1
  }
}
400
Invalid request
application/jsonError
Response example 400
{
  "success": false,
  "message": "Invalid request",
  "error": "Invalid request"
}
401
Unauthorized
application/jsonError
Response example 401
{
  "success": false,
  "message": "Unauthorized",
  "error": "Unauthorized"
}
404
No record found for the provided `name`/`type` combination
application/jsonError
Response example 404
{
  "success": false,
  "message": "No record found for the provided `name`/`type` combination",
  "error": "No record found for the provided `name`/`type` combination"
}
417
DNS record update violates a zone constraint
application/jsonError
Response example 417
{
  "success": false,
  "message": "DNS record update violates a zone constraint",
  "error": "DNS record update violates a zone constraint"
}
500
Unexpected error
application/jsonError
Response example 500
{
  "success": false,
  "message": "Unexpected error",
  "error": "Unexpected error"
}
Community

Become part of the community

The Regfish DNS API is a great solution for developers who want to automate domains and DNS zones. Become part of the community and benefit from DNS automation. The DNS API is available free of charge to every Regfish customer.

Cart
 
Total
€0.00
All prices include VAT.
We use cookies to provide the best possible experience. Choose your preferences for cookie usage. Privacy policy